package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public abstract class OrderBy implements java.io.Serializable {
    public abstract <R, A> R accept(OrderBy.Visitor<R, A> v, A arg);

    public interface Visitor<R, A> {
        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.NoOrderByC p, A arg);

        public R visit(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.OrderByC p, A arg);

    }

}
